// FishSimEx1_0.java

import ch.aplu.jgamegrid.*;
import java.awt.Color;

public class FishSimEx1_0 extends GameGrid
{
  private int nbFish = 15;

  public FishSimEx1_0()
  {
    super(800, 600, 1, null, false);
    setTitle("Fish Simulation");
    for (int i = 0; i < nbFish; i++)
    {
      int x = (int) (750 * Math.random() + 20);
      int y = (int) (550 * Math.random() + 20);
      addActor(new Fish(), new Location(x, y));
    }
    setBgColor(Color.BLUE);
    setSimulationPeriod(30);
    show();
    doRun();
  }

  public static void main(String[] args)
  {
    new FishSimEx1_0();
  }
}

